Bug 222947 - Deprecation Warning when using kernel-module plugin
Deprecation Warning when using kernel-module plugin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 17:52 EST by Heiko Adams
Modified: 2014-01-21 17:56 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 11:55:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2007-01-16 17:52:46 EST
Description of problem:
When using the kernel-module plugin for yum the following Deprecation Warning is
throwed:

/usr/lib/yum-plugins/kernel-module.py:61: DeprecationWarning: getHdrList() will
go away in a future version of Yum.

  for hdr in conduit.getRpmDB().getHdrList():

Version-Release number of selected component (if applicable):
yum-kernel-module-1.0.1-1.fc6

How reproducible:
allway

Steps to Reproduce:
1. Install the yum-kernel-module package
2. Start an update with yum
  
Actual results:
A Deprecation Warning is displayed

Expected results:
No warning should be displayed

Additional info:
I couldn't find an bugzilla component so filed this bug for the main package
Comment 1 Jeremy Katz 2007-01-16 18:02:59 EST
This is a bug in the plugin; it needs to be updated to use the new APIs
Comment 2 Panu Matilainen 2007-02-14 10:15:39 EST
Right, most of the deprecation warnings have been fixed in yum-utils 1.0.1/1.0.2
but this has gone unnoticed. Will fix...
Comment 3 Panu Matilainen 2007-02-19 10:28:04 EST
Fixed in CVS, unfortunately it didn't quite make it to yum-utils-1.0.3 release.

Note You need to log in before you can comment on or make changes to this bug.